Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class SLHDSAParameters

    java.lang.Object
      org.bouncycastle.crypto.params.SLHDSAParameters

public class SLHDSAParameters
extends java.lang.Object

Field Summary
`static SLHDSAParameters` | `sha2_128f`
`static SLHDSAParameters` | `sha2_128f_with_sha256`
`static SLHDSAParameters` | `sha2_128s`
`static SLHDSAParameters` | `sha2_128s_with_sha256`
`static SLHDSAParameters` | `sha2_192f`
`static SLHDSAParameters` | `sha2_192f_with_sha512`
`static SLHDSAParameters` | `sha2_192s`
`static SLHDSAParameters` | `sha2_192s_with_sha512`
`static SLHDSAParameters` | `sha2_256f`
`static SLHDSAParameters` | `sha2_256f_with_sha512`
`static SLHDSAParameters` | `sha2_256s`
`static SLHDSAParameters` | `sha2_256s_with_sha512`
`static SLHDSAParameters` | `shake_128f`
`static SLHDSAParameters` | `shake_128f_with_shake128`
`static SLHDSAParameters` | `shake_128s`
`static SLHDSAParameters` | `shake_128s_with_shake128`
`static SLHDSAParameters` | `shake_192f`
`static SLHDSAParameters` | `shake_192f_with_shake256`
`static SLHDSAParameters` | `shake_192s`
`static SLHDSAParameters` | `shake_192s_with_shake256`
`static SLHDSAParameters` | `shake_256f`
`static SLHDSAParameters` | `shake_256f_with_shake256`
`static SLHDSAParameters` | `shake_256s`
`static SLHDSAParameters` | `shake_256s_with_shake256`
`static int` | `TYPE_PURE`
`static int` | `TYPE_SHA2_256`
`static int` | `TYPE_SHA2_512`
`static int` | `TYPE_SHAKE128`
`static int` | `TYPE_SHAKE256`

Method Summary
`SLHDSAEngine` | `getEngine()`
`int` | `getN()`
`java.lang.String` | `getName()`
`int` | `getType()`
`boolean` | `isPreHash()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_PURE

    public static final int TYPE_PURE

See Also:
  Constant Field Values

### TYPE_SHA2_256

    public static final int TYPE_SHA2_256

See Also:
  Constant Field Values

### TYPE_SHA2_512

    public static final int TYPE_SHA2_512

See Also:
  Constant Field Values

### TYPE_SHAKE128

    public static final int TYPE_SHAKE128

See Also:
  Constant Field Values

### TYPE_SHAKE256

    public static final int TYPE_SHAKE256

See Also:
  Constant Field Values

### sha2_128f

    public static final SLHDSAParameters sha2_128f

### sha2_128s

    public static final SLHDSAParameters sha2_128s

### sha2_192f

    public static final SLHDSAParameters sha2_192f

### sha2_192s

    public static final SLHDSAParameters sha2_192s

### sha2_256f

    public static final SLHDSAParameters sha2_256f

### sha2_256s

    public static final SLHDSAParameters sha2_256s

### shake_128f

    public static final SLHDSAParameters shake_128f

### shake_128s

    public static final SLHDSAParameters shake_128s

### shake_192f

    public static final SLHDSAParameters shake_192f

### shake_192s

    public static final SLHDSAParameters shake_192s

### shake_256f

    public static final SLHDSAParameters shake_256f

### shake_256s

    public static final SLHDSAParameters shake_256s

### sha2_128f_with_sha256

    public static final SLHDSAParameters sha2_128f_with_sha256

### sha2_128s_with_sha256

    public static final SLHDSAParameters sha2_128s_with_sha256

### sha2_192f_with_sha512

    public static final SLHDSAParameters sha2_192f_with_sha512

### sha2_192s_with_sha512

    public static final SLHDSAParameters sha2_192s_with_sha512

### sha2_256f_with_sha512

    public static final SLHDSAParameters sha2_256f_with_sha512

### sha2_256s_with_sha512

    public static final SLHDSAParameters sha2_256s_with_sha512

### shake_128f_with_shake128

    public static final SLHDSAParameters shake_128f_with_shake128

### shake_128s_with_shake128

    public static final SLHDSAParameters shake_128s_with_shake128

### shake_192f_with_shake256

    public static final SLHDSAParameters shake_192f_with_shake256

### shake_192s_with_shake256

    public static final SLHDSAParameters shake_192s_with_shake256

### shake_256f_with_shake256

    public static final SLHDSAParameters shake_256f_with_shake256

### shake_256s_with_shake256

    public static final SLHDSAParameters shake_256s_with_shake256

Method Detail

### getName

    public java.lang.String getName()

### getType

    public int getType()

### getN

    public int getN()

### getEngine

    public SLHDSAEngine getEngine()

### isPreHash

    public boolean isPreHash()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD